Bug 176467 - Review Request: alltray: Dock any application in the tray
Review Request: alltray: Dock any application in the tray
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-23 00:41 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-27 06:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-23 00:41:28 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/alltray.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/alltray-0.65-1.src.rpm
Description: With AllTray you can dock any application without a native tray icon into the system tray. It works well with GNOME, KDE, XFCE 4, Fluxbox, and WindowMaker.
Comment 1 Jef Spaleta 2005-12-23 21:19:57 EST
-  builds in mock for fc4 i386
-  rpmlint returns clean on resulting binary
-  resulting binary seems to work as advertised on fc4
-  md5sum c3b86dab94dbea416174d6e4dd82a173  alltray-0.65.tar.gz
   matches upstream source
- pretty sure bug 176313   is keeping this from building in mock fc development

It looks good to me. But I'm going to leave this in FE-Review for a couple of
days and see if the rawhide issue gets fixed on its own, so I can make sure it
builds in mock fc development.

One minor nit, the host dl.sourceforge.net seems to be unreachable for me. But
any of the sf mirrors like voxel.dl.sourceforge.net/sourceforge  is working.
Is there a general problem with dl.sourceforge.net or is it just me?

Full Review:
- GOOD: The package must be named according to the PackageNamingGuidelines.
- GOOD: The spec file name must match the base package %{name}, in the format
%{name}.spec
- GOOD: The package must meet the PackagingGuidelines.
- GOOD: The package must be licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of
PackagingGuidelines.
- GOOD: The License field in the package spec file must match the actual license.
- GOOD: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
- GOOD: The spec file must be written in American English.
- GOOD: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora Extras
is not the place for entries into the Obfuscated Code Contest ([WWW]
http://www.ioccc.org/).
- GOOD: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.
- GOOD: The package must successfully compile and build into binary rpms on at
least one supported architecture. 
- GOOD: A package must not contain any BuildRequires that are listed in the
exceptions section of PackagingGuidelines.
- GOOD: All other Build dependencies must be listed in BuildRequires.
- N/A: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- N/A: If the package contains shared library files located in the dynamic
linker's default paths, that package must call ldconfig in %post and %postun. If
the package has multiple subpackages with libraries, each subpackage should also
have a %post/%postun section that calls /sbin/ldconfig. An example of the
correct syntax for this is:
- N/A: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
- GOOD: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. The exception to this are directories listed explicitly
in the Filesystem Hierarchy Standard ([WWW]
http://www.pathname.com/fhs/pub/fhs-2.3.html), as it is safe to assume that
those directories exist.
- GOOD: A package must not contain any duplicate files in the %files listing.
- GOOD: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
- GOOD: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
- GOOD: Each package must consistently use macros, as described in the macros
section of PackagingGuidelines.
- GOOD: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of PackagingGuidelines.
- N/A: Large documentation files should go in a -docs subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
- GOOD: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
- N/A: Header files or static libraries must be in a -devel package.
- N/A: Files used by pkgconfig (.pc files) must be in a -devel package.
- N/A: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
- N/A: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency.
- N/A: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
- GOOD: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
PackagingGuidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.
Comment 2 Ignacio Vazquez-Abrams 2005-12-23 22:26:24 EST
(In reply to comment #1)
> One minor nit, the host dl.sourceforge.net seems to be unreachable for me. But
> any of the sf mirrors like voxel.dl.sourceforge.net/sourceforge  is working.
> Is there a general problem with dl.sourceforge.net or is it just me?

The first address the hostname resolves to seems unresponsive. I get around this
by using the -t and -T arguments on wget, which get it to move to the second one.
Comment 3 Jef Spaleta 2005-12-30 10:43:59 EST
Okay builds in mock against core development today.  So eveything looks good.

alltray-0.65-1.src.rpm Approved
Comment 4 Ignacio Vazquez-Abrams 2005-12-30 23:17:44 EST
Built on FC-4. Having a problem with devel x86_64, need to investigate.
Comment 5 Ignacio Vazquez-Abrams 2006-01-27 06:42:47 EST
Finally got it to build in devel.

Note You need to log in before you can comment on or make changes to this bug.